#
# Configuration file reference for FX Uucico 1.0
#
# All available options are included in this sample, they show
# default values, or typicial setting. Entries are sorted by
# alphabetical order. Some of them are used by other Waffle
# programs. Options not recognized by FX Uucico are not listed. 
#
# Note : this is a full reference, not a typical example.

# The actual content is not relevant to FX Uucico. It only changes the
# default sharing behaviour. See sharing and networking.

channel : 6

# Comm port number, this entry is mandatory

device : 2

# Specify the comm driver, FOSSIL, NATIVE or DIGI. If not present,
# Uucico will use FOSSIL if autodetected, NATIVE otherwise.

driver : FOSSIL

# Baud rate or bps speed. Mandatory entry

speed : 2400

# Base directory of the spool tree. Mandatory entry.

spool : D:\spool

# Directory for placing temporary files. Only used by the sharing module.
# You may put it in a Ramdisk if you have enough space.

temporary : c:\temp

# Your machine name, this is how your host is identified by your neighbours
# It must match their 'systems' (or equivalent) entries. Mandatory entry.

uucpname : laser

# Root directory. Sets the default parent for the log and uucp subdirs.
# If not present, FX assumes a single directory (no tree) by default.

waffle : c:\waffle

# Fatal timeout in seconds in the 'g' family of protocols. Uucico will close
# the connection when the remote host is idle for a longer time.

uu.alive : 90

# Pause time in seconds between calls to two different hosts.

uu.between : 10

# Debuglevel for the 'uucico' and 'debug' logs.

uu.debug : 3

# Packet retry timeout in the 'g' and 'G' protocols. This is not a fatal
# timeout as uu.alive. Uucico retries sending packets after uu.delay
# seconds without remote acknowledge. This is a critical setting for
# noisy lines. Too low will result in too much retries, too high will
# leave the connection idle for long periods and the remote host may
# abort.

uu.delay : 20

# Overrides 'driver' entry. Usefull for using different drivers for Waffle
# and uucico.

uu.driver : NATIVE

# Getting one of those strings will abort script execution. Note that
# underscores must be used instead of spaces. Setting the wQuirks option
# off, disable watching for those string in the login script, they are then
# only effective in the dialer script.

uu.drops : NO_CARRIER NO_DIALTONE BUSY ERROR

# Maximum number of errors allowed in the 'g' family of protocols.
# See also fx.errorRatio.

uu.errors : 200

# Grade level in dialout mode. Jobs with lower priorities will be skipped.
# The default is to transmit all jobs.

uu.grade : C

# Timeout in seconds waiting for the initial uucp messages.

uu.handshake : 30

# Locked DTE speed. Normally used on high speed 'buffering' modems with
# a constant DTE speed, independent on the actual carrier speed. When
# this option is specified, the normal speed configuration is not used.

uu.locked : 57600

# Number of retries for dialout calls.

uu.retries : 1

# Delay pause in seconds between two different entries for the same host

uu.retrytime : 10

# Timeout in seconds for scripts execution.

uu.time : 30

# Debuglevel for messages outputed to the screen.

uu.visual : 3

# Window size for the 'g' familiy of protocols.

uu.windows : 7

# Save backups of old jobs in the directory 'spool\lost'. Boolean.
# Note, backups are never made when file restart is active!

fx.backup : yes

# Directory location for all uucp config files besides STATIC.

fx.confDir : c:\waffle\uucp

# When enabled, FX will perform its own double buffering of the external
# comm drivers. This is requiered for some non-standard Fossils (for ISDN,
# intelligent boards, etc). May be also used to overcome the driver's
# buffer limit. Will add some overhead.

fx.dblBuffer : no

# Directory location to write the 'debug' log. Overrides 'fx.logdir'

fx.debugDir : h:\temp

# Maximum errors to packets ratio. Similar to 'uu.errors' but instead
# of being an absolute limit, is proportional to the traffic.
# A value of 10, means that the session will be aborted if there are more
# than 10% errors (in relation to correct packets). FX starts checking the
# ratio, only after the errors are more than twice the absolute value
# of this setting (20, if fx.errorRatio is 10).
# Defaults to zero, not used.

fx.errorRatio : 0

# Selects new munging method. Boolean option, default false.
# Warning, can't be used if uuxqt (or your tosser) doesn't support it.

fx.nmunge : false

# Minimum free space in bytes required on the spool drive. 
# Default, do not check for free space.

fx.freeSpace : 500000

# Packet size for the 'g' and 'G' protocols.

fx.gPktSize : 64

# Number of seconds to wait for the modem to drop the carrier detect signal
# when hanging up. Default is 0, drop DTR signal and exits immediately.

fx.hangupTime : 0

# See PERMITS. Boolean option, default is off.

fx.joinDefPermit : no

# Directory location for writing the log files.

fx.logDir : c:\waffle\admin

# Maximum file size in bytes allowed in transmission. Default is 32 MegaBytes.

fx.maxFile : 1000000

# Unless disabled, FX will release time-slice by default when running
# under DesqView, Windows or other environments with a compatible release
# time-slice interface (os/2, WinNT, etc). See the multitask chapter for
# more info. Boolean option, defaults to true.

fx.multitask : yes

# Maximum age of the file in days for resuming file transfer. If the file
# is older, it will be overwritten. This applies for incoming files only.
# Default 0, don't check age.

fx.resumeAge : 0

# The presence of this option enagages basic configuration mode (that's why
# it's commented out here). See the configuration chapter for full details.

#fx.rSystem : host   time protocol    script

# Delay (in 100ths of a second) between each byte sent to the port when
# executing scripts. The default is 0 (no delay). This will speed script
# execution as most systems do not need any delay. Some old modems (1200 bps)
# may need a very short one, a value of 10 (1/10th second) is usually enough.
# See also "echo check".

fx.scriptPace : 10

# Enables FX networking features. Default depends on the presence of
# the 'channel' variable. On if present, off otherwise.

fx.share : no

# Number of jobs to scan and sort before selecting the next transaction.
# The sort is done in ASCII order, low values first, this allows for jobs
# to be sent by grade and chronological order. Normally not needed for non
# multitasking and non-graded systems, because the jobs would be already
# ordered. High values may affect performance.
# Default is 0, use the first job returned by the operating system.

fx.sortJobs : 0

# Fatal timeout in seconds for the streaming protocols, ('f' and 'y').
fx.streamTime : 30

# Some uucp implementations expect a redudant hang-up command, before
# closing the connection. Turn on this switch if the remote host complains
# that all the session are logged as failed. Leaving this option disabled
# for those cases, will not produce any harm other than the error message
# in the remote host's logs. Boolean option, default false.

fx.strictClose : no

# Controls the amount of information written to the 'uulog' file.
#    0 - uulog is never written to
#    1 - Only denied transfers are logged
#    2 - Same as above plus non uucp-jobs transfers
#    3 - Same as above plus normal jobs
# Default is 2, compatible with Waffle.

fx.uulogLevel : 2

# Catch-all for global Waffle compatibility. When 'fx.wQuirks' is
# off, same aspects of the software differ from Waffle's behaviour.
# They cover everything that we believe would be better to change,
# but doing so may introduce small incompatibilities, and yet don't
# have a specific configuration option. Currently it applies to the
# exit level (see the tech guide), the usage of uu.drops in login scripts.
# and the matching search method for dialers and scripts.
# Default is on, maximum Waffle compatibility.

fx.wQuirks : yes

